Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007805opensim[GRID] Other Servicepublic2016-01-12 10:502019-02-06 11:50
ReporterTomTheDragon 
Assigned Tokcozens 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007805: PGSQL Records are overwritten in Presence table
DescriptionUpon logging in another user to OpenSim, the user presence is wiped out and replaced with the new user. I am using the PGSQL database which is known to have some problems.
Steps To Reproduce1. Log in one user
2. Log in another user
Additional Informationostest=# select * from presence;
                UserID | RegionID | SessionID | SecureSessionID |
      LastSeen
--------------------------------------+--------------------------------------+--------------------------------------+--------------------------------------+----
------------------------
 0f4e6e37-6933-438c-bcde-0acf49f46d33 | 34381cf3-8490-4e3e-aede-4174eca9c1bb | 193cdc9e-86e6-4584-bd72-0c539bd2eb6a | bd38fdef-e4e2-4301-9ffb-80fc75065282 | 201
6-01-12 13:41:40.673501
(1 row)

---- NEW LOGIN ----

ostest=# select * from presence;
                UserID | RegionID | SessionID | SecureSessionID |
      LastSeen
--------------------------------------+--------------------------------------+--------------------------------------+--------------------------------------+----
------------------------
 5b8005ec-1b25-4180-a4b6-1ca28890f49c | 00000000-0000-0000-0000-000000000000 | 526cad54-4f92-41e0-8290-32d2547aa75c | 9e0ed3b9-e418-42c0-91e4-1cc299653bd0 | 201
6-01-12 13:41:40.673501
(1 row)
TagsNo tags attached.
Git Revision or version number22501ea06d987664951e453beaeb0146ff81c3c6
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono VersionOther
ViewerSingularity Viewer 1.8.6
Attached Filespatch file icon 0002-Fix-Mantis-7805-table-handler-needs-to-look-for-all-.patch [^] (2,885 bytes) 2016-01-12 20:01 [Show Content]

- Relationships
related to 0007610closedkcozens PGSQL Commit 6f71d5, c1ddb7, 0fa94f for Agenpreferences lacks support for Postgres 
related to 0007654closedorenh PGSQL Presence store out of sync with MySQL version, PGSQLPresenceData.cs missing code 

-  Notes
(0029956)
TomTheDragon (reporter)
2016-01-12 20:03

I have attached a patch, this seems to alleviate the presence problem and make it so that more than one user can be on the grid reliably. Changes the logic of determining the unique keys in a table.
(0030081)
Gavin Hird (reporter)
2016-03-17 02:32
edited on: 2016-04-04 14:20

This was already fixed in http://opensimulator.org/mantis/view.php?id=7654 [^] for Presence data and was working for up to 0.8.2.1, but is broken again.

Will try apply your patch for 0.9 changes

(0030146)
Gavin Hird (reporter)
2016-04-05 00:35

This made the entries in the presence table work again on 0.8.2.1 + code. I am not sure exactly which commit broke the previous behavior.

Did you test if this makes the other broken functionality depending on the generic table handler work?

Thanks for the patch
(0030219)
kcozens (administrator)
2016-04-24 20:50
edited on: 2016-04-25 09:11

commit e9b0f7157546a25a39a3e4e7a5ca6bd5db4c4728
Author: TomDataworks <muckwaddle@gmail.com>
Date: Tue Jan 12 22:44:43 2016 -0500

    Fix Mantis 0007805, table handler needs to look for all unique constraints.
    
    Signed-off-by: Kevin Cozens <kevin@ve3syb.ca>

(0034559)
BillBlight (developer)
2019-02-06 11:50

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2016-01-12 10:50 TomTheDragon New Issue
2016-01-12 10:51 TomTheDragon Relationship added related to 0007610
2016-01-12 20:01 TomTheDragon File Added: 0002-Fix-Mantis-7805-table-handler-needs-to-look-for-all-.patch
2016-01-12 20:02 TomTheDragon Note Added: 0029955
2016-01-12 20:02 TomTheDragon Note Deleted: 0029955
2016-01-12 20:03 TomTheDragon Note Added: 0029956
2016-01-12 20:03 TomTheDragon Status new => patch included
2016-03-17 02:30 Gavin Hird Relationship added related to 0007654
2016-03-17 02:32 Gavin Hird Note Added: 0030081
2016-03-17 02:42 Gavin Hird Summary Record is replaced in Presence, PostgresSQL => PGSQL Records are overwritten in Presence table
2016-04-04 14:20 Gavin Hird Note Edited: 0030081 View Revisions
2016-04-05 00:35 Gavin Hird Note Added: 0030146
2016-04-24 20:50 kcozens Note Added: 0030219
2016-04-24 20:50 kcozens Status patch included => resolved
2016-04-24 20:50 kcozens Fixed in Version => master (dev code)
2016-04-24 20:50 kcozens Resolution open => fixed
2016-04-24 20:50 kcozens Assigned To => kcozens
2016-04-25 09:11 kcozens Note Edited: 0030219 View Revisions
2019-02-06 11:50 BillBlight Note Added: 0034559
2019-02-06 11:50 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker